The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key

Tematy związane z oprogramowaniem, instalacją, konfiguracją
Awatar użytkownika
etrollo
Posty: 55
Rejestracja: 21 czerwca 2016, 08:56

The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key

Post autor: etrollo » 13 maja 2019, 12:55

Mam kłopoty przy instalowaniu programów

Teraz muszę mieć tak:

1. Instalacja Wine
2. BDinfo sprawdzić czy działa pod Wine.


============================


Robię tak
Standard installation według
https://wiki.debian.org/Wine
pod AMD64

sudo dpkg --add-architecture i386 && sudo apt update - błędy:

Kod: Zaznacz cały

5 packages can be upgraded. Run 'apt list --upgradable' to see them.
W: http://deb.debian.org/debian/dists/stretch-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://deb.debian.org/debian/dists/stable-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://security.debian.org/dists/stable/updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://deb.debian.org/debian/dists/stable/Release.gpg: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://deb.debian.org/debian/dists/stretch/Release.gpg: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://http.debian.net/debian/dists/stretch/Release.gpg: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
root@login:~# dpkg --print-architecture
amd64
Idę dalej z instalacją i na końcu taki bład

sudo apt update:

Kod: Zaznacz cały

5 packages can be upgraded. Run 'apt list --upgradable' to see them.
W: http://security.debian.org/dists/stable/updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://deb.debian.org/debian/dists/stretch-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://http.debian.net/debian/dists/stretch/Release.gpg: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://deb.debian.org/debian/dists/stable-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://deb.debian.org/debian/dists/stable/Release.gpg: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://deb.debian.org/debian/dists/stretch/Release.gpg: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
root@login:~# deb http://deb.debian.org/debian stretch-backports main
-su: deb: command not found
root@login:~# deb http://deb.debian.org/debian stretch-backports main
-su: deb: command not found
root@login:~# http://deb.debian.org/debian stretch-backports main
-su: http://deb.debian.org/debian: No such file or directory
(arg: 1) ^C

Jak wpisałem wine bdinfo to dostałem komunikat

Kod: Zaznacz cały

it looks like wine32 is missing, you should install it.
as root, please execute "apt-get install wine32"
i zainstalowałem to.


Po tym jak wpisuje winecfg, pojawia sie okno, daje ścieżkę do programu, ok, okno znika i nie dzieje się nic.\

Co dalej z tym i co nie działa czy Wine czy program BDinfo?
Ostatnio zmieniony 13 maja 2019, 18:46 przez etrollo, łącznie zmieniany 2 razy.

Awatar użytkownika
dedito
Moderator
Posty: 2813
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Wine nie działa

Post autor: dedito » 13 maja 2019, 18:01

Kod: Zaznacz cały

mv /etc/apt/trusted.gpg ~/trusted.gpg.kopia
apt-key update
apt-get update

Awatar użytkownika
etrollo
Posty: 55
Rejestracja: 21 czerwca 2016, 08:56

Re: Wine nie działa

Post autor: etrollo » 13 maja 2019, 18:14

Kod: Zaznacz cały

root@login:~# mv /etc/apt/trusted.gpg ~/trusted.gpg.kopia
root@login:~# apt-key update
Warning: 'apt-key update' is deprecated and should not be used anymore!
Note: In your distribution this command is a no-op and can therefore be removed safely.
root@login:~# apt-get update
===================================
ENTER
===================================

Kod: Zaznacz cały

Ign:1 http://cdn-fastly.deb.debian.org/debian stable InRelease                                                  
Hit:6 http://security-cdn.debian.org stable/updates InRelease
Ign:2 http://cdn-fastly.deb.debian.org/debian stretch InRelease                 
Ign:5 http://cdn-fastly.deb.debian.org/debian stretch InRelease
Get:3 http://cdn-fastly.deb.debian.org/debian stretch-updates InRelease [91.0 kB]
Get:4 http://cdn-fastly.deb.debian.org/debian stable-updates InRelease [91.0 kB]
Hit:7 http://cdn-fastly.deb.debian.org/debian stretch Release            
Hit:9 http://cdn-fastly.deb.debian.org/debian stretch Release
Err:9 http://cdn-fastly.deb.debian.org/debian stretch Release
  Failed to stat - stat (2: No such file or directory)
Hit:8 http://cdn-fastly.deb.debian.org/debian stable Release
Reading package lists... Done
E: The repository 'http://deb.debian.org/debian stretch Release' does no longer have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

Awatar użytkownika
dedito
Moderator
Posty: 2813
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Wine nie działa

Post autor: dedito » 13 maja 2019, 18:26

Pokaż swoje /etc/apt/sources.list i zmień tytuł wątku bo to nie ma nic wspólnego z wine.

Awatar użytkownika
etrollo
Posty: 55
Rejestracja: 21 czerwca 2016, 08:56

Nie pobierają mi się repozytoria

Post autor: etrollo » 13 maja 2019, 18:43

dedito pisze:
13 maja 2019, 18:26
Pokaż swoje /etc/apt/sources.list i zmień tytuł wątku bo to nie ma nic wspólnego z wine.

Kod: Zaznacz cały

# deb cdrom:[Debian GNU/Linux 9.6.0 _Stretch_ - Official amd64 DVD Binary-1 20181110-11:34]/ stretch contrib main
# deb cdrom:[Debian GNU/Linux 9.6.0 _Stretch_ - Official amd64 DVD Binary-1 20181110-11:34]/ stretch contrib main
#podstawowe repozytorium
deb http://deb.debian.org/debian stable main
#repozytorium poprawek bezpieczeństwa
deb http://security.debian.org/ stable/updates main
#repozytorium często aktualizowanych programów
deb http://deb.debian.org/debian/ stretch main contrib
deb-src http://deb.debian.org/debian/ stretch main contrib #Added by software-properties
deb http://deb.debian.org/debian/ stretch-updates contrib main
deb http://deb.debian.org/debian stable-updates main
deb http://http.debian.net/debian/ stretch main contrib non-free

Awatar użytkownika
dedito
Moderator
Posty: 2813
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Wine nie działa

Post autor: dedito » 13 maja 2019, 18:48

stretch i stable to to samo.
Przerób te swoje repozytoria zgodnie z linkiem, który już Ci podawałem w poprzednim wątku i wklej ponownie zawartość.

Awatar użytkownika
etrollo
Posty: 55
Rejestracja: 21 czerwca 2016, 08:56

Re: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-

Post autor: etrollo » 13 maja 2019, 21:55

Kod: Zaznacz cały

Reading package lists... Done
Building dependency tree       
Reading state information... Done
All packages are up to date.
------------
Reading package lists... Done
Building dependency tree       
Reading state information... Done
wine64 is already the newest version (1.8.7-2).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
-----------
Reading package lists... Done
Building dependency tree       
Reading state information... Done
wine64-development is already the newest version (2.0-3+b2).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Dzięki działa!
Solved!

Awatar użytkownika
dedito
Moderator
Posty: 2813
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-

Post autor: dedito » 13 maja 2019, 22:06

No proszę, potrafisz sterować wielkością czcionki.
Szkoda, że z podsumowaniem i oznaczaniem tematu tak fajnie nie wyszło.
Zamykam.

Zablokowany